<div class="container-fluid body">
  <div class="row">
    <div class="col-sm">
      <div class="card body border">
        <div class="card-body ">
          <h5 style="text-align: center;" class="card-title">Selecciona el dia</h5>
          <div class="alert alert-primary" role="alert">
            Recuerda que solo puedes agendar
            dentro de las proximas 24 horas
            y una vez al día.
          </div>
          <ngb-datepicker class="custom-day" #dp [minDate]="enable[0]" [maxDate]="enable[1]" [(ngModel)]="model"
            (navigate)="date = $event.next">
          </ngb-datepicker>
        </div>
      </div>
    </div>
    <div class="col-sm">
      <div class="card body border">
        <div class="card-body body">
          <h5 style="text-align: center; " class="card-title">Seleccione el bloque horario</h5>
          <form #reservaForm="ngForm">
            <div class="form-floating mb-3" *ngIf="reservaEntrenamiento.cliente">
              <input type="text" class="form-control" value="{{reservaEntrenamiento.cliente.nombre}}" name="cliente"
                disabled>
              <label style="color: black;" for="floatingInput">Cliente</label>
            </div>

            <div class="input-group mb-3">
              <label class="input-group-text" for="bloque">Bloque Horario</label>
              <select class="form-control" [(ngModel)]="reservaEntrenamiento.bloque" name="bloque" #bloque="ngModel"
                required>

                <ng-container *ngFor="let bloque of bloques">
                  <ng-container *ngIf="yaReservo() || bloqueOcupado(bloque); else elseBlock">
                    <option disabled [ngStyle]="{'background-color': 'gray', 'color': 'black'}" [ngValue]="bloque">
                      {{bloque.descripcion}}
                    </option>
                  </ng-container>
                  <ng-template #elseBlock>
                    <option [ngStyle]="{'background-color': 'orange', 'color': 'white'}" [ngValue]="bloque">
                      {{bloque.descripcion}}
                    </option>

                  </ng-template>

                </ng-container>
              </select>
            </div>

            <button pButton [disabled]='!reservaForm.form.valid' (click)="reservar()" class="btn"
              role="button">Reservar</button>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>